boxheader_manager.h File Reference
`#include "openjpeg.h"`
`#include "byte_manager.h"`
`#include "box_manager.h"`

Go to the source code of this file.

## Data Structures

struct | boxheader_param
| box header parameters More...

## Typedefs

typedef struct boxheader_param | boxheader_param_t
| box header parameters

## Functions

boxheader_param_t * | gene_boxheader (int fd, OPJ_OFF_T offset)
| generate a box header at the given offset
boxheader_param_t * | gene_childboxheader (box_param_t *superbox, OPJ_OFF_T offset)
| generate a child box header at the given offset
void | print_boxheader (boxheader_param_t *boxheader)
| print box header parameters

## Typedef Documentation

## boxheader_param_t

typedef struct boxheader_param boxheader_param_t

box header parameters

## Function Documentation

## gene_boxheader()

boxheader_param_t * gene_boxheader | ( | int | fd,
|  | OPJ_OFF_T | offset
| ) |  |

generate a box header at the given offset

Parameters

  [in] | fd | file descriptor of the JP2 file
  [in] | offset | Box offset

Returns
  pointer to the structure of generate box header parameters

References fetch_4bytebigendian(), fetch_8bytebigendian(), fetch_bytes(), boxheader_param::headlen, boxheader_param::length, boxheader_param::next, and boxheader_param::type.

Referenced by gene_childboxheader().

## gene_childboxheader()

boxheader_param_t * gene_childboxheader | ( | box_param_t * | superbox,
|  | OPJ_OFF_T | offset
| ) |  |

generate a child box header at the given offset

Parameters

  [in] | superbox | super box pointer
  [in] | offset | offset from DBox first byte of superbox

Returns
  pointer to the structure of generate box header parameters

References box_param::fd, gene_boxheader(), and get_DBoxoff().

Referenced by check_JP2boxidx(), and gene_manfbox().

## print_boxheader()

void print_boxheader | ( | boxheader_param_t * | boxheader | ) |

print box header parameters

Parameters

  [in] | boxheader | boxheader pointer

References boxheader_param::length, logstream, and boxheader_param::type.

Referenced by print_manfbox().